Subject: [clisp-list] CLISP newbie: question on building sources

From: Roger Levy <[email-masked]>
Date: Thu Jan 31 00:07:01 2002

Hi,

I'm trying to install CLISP for the first time on an at-home Linux box and
I'm stumped on something.  In step 5 of the installation instructions, it
says to edit the config.lisp file, especially the definitions of the long
and short site names.  I cannot figure out what these are supposed to be.
Is it the path to the directories that I'm installing to?

Sorry this is clearly an elementary question but I don't seem to be able
to find the answer.  Perhaps if someone could point me to a sample edited
config.lisp file, it would be sufficient.

Thanks in advance,

Roger

---

From: [email-masked] (Dr. Edmund Weitz)
Date: Thu Jan 31 00:58:03 2002

Roger Levy <[email-masked]> writes:

> I'm trying to install CLISP for the first time on an at-home Linux
> box and I'm stumped on something.  In step 5 of the installation
> instructions, it says to edit the config.lisp file, especially the
> definitions of the long and short site names.  I cannot figure out
> what these are supposed to be.  Is it the path to the directories
> that I'm installing to?
> 
> Sorry this is clearly an elementary question but I don't seem to be
> able to find the answer.  Perhaps if someone could point me to a
> sample edited config.lisp file, it would be sufficient.

IIRC this is just the (network) name of your machine.

---

From: Paolo Amoroso <[email-masked]>
Date: Thu Jan 31 13:07:05 2002

> and short site names.  I cannot figure out what these are supposed to be.

A suggestion:

  SHORT-SITE-NAME : "Roger Levy"
  LONG-SITE-NAME  : "Roger Levy's Linux box for Lisp hacking--hands off"

Or just set them to NIL.

Paolo
-- 
EncyCMUCLopedia * Extensive collection of CMU Common Lisp documentation
http://web.mclink.it/amoroso/ency/README
[http://cvs2.cons.org:8000/cmucl/doc/EncyCMUCLopedia/]